DRM_CRTC_VBLANK_OFF(9)

NAME
drm_crtc_vblank_off - disable vblank events on a CRTC

SYNOPSIS

void drm_crtc_vblank_off(struct drm_crtc * crtc);

ARGUMENTS

crtc
    CRTC in question

DESCRIPTION

Drivers can use this function to shut down the vblank interrupt handling when disabling a crtc. This function ensures that the latest vblank frame count is stored so that drm_vblank_on can restore it again.

Drivers must use this function when the hardware vblank counter can get reset, e.g. when suspending.

This is the native kms version of drm_vblank_off.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT